{% extends "gam/marketplaces.html" %}

{% block service %}

{% load staticfiles %}
<script type="text/javascript">
    $("#flexibility-marketplace-dropdown").addClass("active");
</script>

    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-datetimepicker.css' %}" />

    {% csrf_token %}
    <div>
        <section>
            {% if actor == None %}
            <h3>You have not been mapped to a known Market Actor. Please contact the Marketplace administrator.</h3>
            {% else %}
                {% if not is_dso %}
                    <div id="active_sessions_helper_bal" style="display: none;">
                        {% block active_session %}
                            {% include "gam/activeSessionActions.html" %}
                        {% endblock %}
                    </div>
                {% else %}
                    <div class="tabbable" >
                        <ul id="tabs" class="nav nav-tabs" data-tabs="tabs" role="tablist">
                            <li role="presentation" class="active" id="slct_offers_tab">
                                <a href="#info" data-toggle="tab" aria-controls="info" role="tab" >
                                    <p>Offer selection</p>
                                </a>
                            </li>
                            <li role="presentation" id="delivery_cnf_tab">
                                <a id="stats_tab" href="#stats" data-toggle="tab" aria-controls="stats" role="tab">
                                    <p>Delivery confirmation</p>
                                </a>
                            </li> 
                        </ul>
                        <div id="my-tab-content" class="tab-content margin-10px" > 
                            <div role="tabpanel" class="tab-pane active" id="info">
                                <div id="select_balancing_hold2">
                                    <div class="row">
                                        <select class="form-control" name="Marketsession" id="select_balancing_session2" style="float:right;">
                                            <option value="-1" selected="selected" disabled="disabled">-- Select a MarketSession --</option>
                                        </select>
                                    </div>
                                </div>
                                <script type="text/javascript">
                                    $("#select_balancing_session2").change(function(){ setClosedMarketSessionInfo(); });
                                </script>
                            <div id="closed_sessions_helper" style="display: none;">
                                    {% block closed_session %}
                                        {% include "gam/closedSessionActions.html" %}
                                    {% endblock %}
                            </div>
                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="stats" style="color:black">
                                <div id="select_balancing_hold3">
                                    <div class="row">
                                        <select class="form-control" name="Marketsession" id="select_balancing_session3" style="float:right;">
                                            <option value="-1" selected="selected" disabled="disabled">-- Select a MarketSession --</option>
                                        </select>
                                    </div>
                                </div>
                                <script type="text/javascript">
                                    $("#select_balancing_session3").change(function(){ setClearedMarketSessionInfo(); });
                                </script>
                                <div id="cleared_sessions_helper" style="display: none;">
                                    {% block cleared_session %}
                                        {% include "gam/clearedSessionActions.html" %}
                                    {% endblock %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}

                    <!--Add Action modal-->
                    <div class="modal fade" id="addAction" tabindex="-1" role="dialog" aria-labelledby="addActionLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="addActionLabel">Place a new market action</h4>
                                </div>
                                <form class="form-horizontal marginstopbot" id="AddActionForm" onsubmit="return false;">
                                    <div class="form-group">
                                        <label for="reference_price" class="col-sm-4 control-label">Reference price</label>
                                        <div class='col-sm-6'>
                                             <span id="reference_price"></span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="actionStartTime" class="col-sm-4 control-label"><strong>Action start time</strong><small class="text-danger">*</small></label>
                                        <div class='col-sm-6 date'>
                                            <input type='text' class="form-control" placeholder="Action start time" id='actionStartTime' />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="actionEndTime" class="col-sm-4 control-label"><strong>Action end time</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6 date">
                                            <input type='text' class="form-control" placeholder="Action end time" id='actionEndTime' />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="value" class="col-sm-4 control-label"><strong>Service</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <select name="select-ancillary-service" id="select-ancillary-service" class="form-control">
                                                <option value="-1" disabled="disabled" selected="selected">-- select service --</option>
                                                    <option value="1" selected="selected">{{ service }}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="value" class="col-sm-4 control-label"><strong>Value</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <input type="number" min="0" class="form-control" id="value" placeholder="Value"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="uom" class="col-sm-4 control-label"><strong>Unit of measurement</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <select class="form-control" id="uoml">
                                                <option value="-1" disabled="disabled" selected="selected">-- select unit --</option>
                                                <option value="KW">KW</option>
                                                <option value="KVA">KVA</option>
                                            </select>
                                            <input type="hidden"  id="uom" value="KW"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="price" class="col-sm-4 control-label"><strong>Price</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <input type="number" min="0" class="form-control" id="price" placeholder="Price"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="deliveryPoint" class="col-sm-4 control-label"><strong>Delivery point</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <input class="form-control" id="deliveryPoint" placeholder="Delivery point"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="type" class="col-sm-4 control-label"><strong>Type</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <select class="form-control" id="typel">
                                                <option value="-1" disabled="disabled" >-- select type --</option>
                                                <option value="offer" selected="selected">Offer</option>
                                            </select>
                                            <input type="hidden" id="type" value="offer"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-4"></div> 
                                        <div class="col-sm-6" style="font-size:14px">
                                            <label class="text-default"><span class="text-danger">*</span> Mandatory fields</label>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-12 centre">
                                            <button id="modalAccept" class="btn btn-accept btn-info btn-catalyst">Add</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

            {% endif %}

        </section>
    </div>
{% endblock %}

{% block scripts %}
    <script src="{% static 'app/scripts/bootstrap-table.js' %}"></script>
    <script src="{% static 'app/scripts/moment.min.js' %}"></script>
    <script src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
    <script src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment-utc-formater.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/cookies.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/utilities.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/links/displayMarketActorDetails.js' %}" ></script>
    <script type="text/javascript">
        var sessionId       = -1;
        <!--var isDso           = {{ request.session.is_dso }};-->
        var service         = "{{ service }}";
        var timeframe       = "{{ timeframe }}";
        var serviceName = "{{ service_name }}";


        var uom = service === "reactive_power_compensation" ? "KVA" : "KW";


        console.log(uom);

     </script>

    <script type="text/javascript">
        var token = "{{ token }}";
        var actor_id = "{{ actor.id }}";
        var username = "{{ username }}";
        var is_dso = "{{ is_dso }}";
        var SELECT_MPLACE ="{{ SELECT_MPLACE }}";
        var MPLACE_URL = "{{ MPLACE_URL }}";
        var ACTION_URL = "{{ ACTION_URL }}";
        var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}";
        var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
        var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
        var is_authenticated = "{{ is_authenticated }}";
        var form = "{{ FLEXIBILITY }}";
    </script>

    <script type="text/javascript" src="{% static 'gam/scripts/select_balancing_mplaces.js' %}"></script>

    <script type="text/javascript" src="{% static 'gam/scripts/ancillaryServices.js'%}"></script>

 <script type="text/javascript">
        var token = "{{ token }}";
        var actor_id = "{{ actor.id }}";
        var username = "{{ username }}";
        var is_dso = "{{ is_dso }}";
        var SELECT_MPLACE ="{{ SELECT_MPLACE }}";
        var MPLACE_URL = "{{ MPLACE_URL }}";
        var ACTION_URL = "{{ ACTION_URL }}";
        var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}";
        var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
        var MARKET_ACTOR_URL = "{{ MARKET_ACTOR_URL }}";

    </script>

{% endblock %}
